Arch Linux

Please read this before reporting a bug:
https://wiki.archlinux.org/title/Bug_reporting_guidelines

Do NOT report bugs when a package is just outdated, or it is in the AUR. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!
Tasklist

FS#42441 - [libreoffice-still-common] [libreoffice-fresh] oosplash requires libXinerama.so.1

Attached to Project: Arch Linux
Opened by Marcel Korpel (Marcel-) - Saturday, 18 October 2014, 18:54 GMT
Last edited by Bartłomiej Piotrowski (Barthalion) - Sunday, 19 October 2014, 14:40 GMT
Task Type Bug Report
Category Packages: Extra
Status Closed
Assigned To Andreas Radke (AndyRTR)
Bartłomiej Piotrowski (Barthalion)
Architecture All
Severity Medium
Priority Normal
Reported Version
Due in Version Undecided
Due Date Undecided
Percent Complete 100%
Votes 0
Private No

Details

Description:

When building a LibreOffice extension that uses LibreOffice during build() in a chroot, oosplash complains that it needs libXinerama.so.1. An objdump -p /usr/lib/libreoffice/program/oosplash reveals:

[…]
Dynamic Section:
NEEDED libXinerama.so.1
[…]

The complete output is enclosed.

This is true for libreoffice-still-common as well as libreoffice-fresh. The exact steps I followed are described at https://lists.archlinux.org/pipermail/arch-general/2014-October/037558.html

Additional info:
* libreoffice-still-common 4.2.6-4 and libreoffice-fresh 4.3.2-1

Steps to reproduce:

Build https://aur.archlinux.org/packages/libreoffice-extension-writer2latex/ in a clean chroot environment as described in https://lists.archlinux.org/pipermail/arch-general/2014-October/037558.html
   oosplash (3.2 KiB)
This task depends upon

Closed by  Bartłomiej Piotrowski (Barthalion)
Sunday, 19 October 2014, 14:40 GMT
Reason for closing:  Fixed
Additional comments about closing:  libreoffice-still 4.2.6-6
libreoffice-fresh 4.3.2-3

Loading...